Subject: bug#41634: closed (Re: bug#41634: 'timeout' returning 124 and 133)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 07 Jun 2020 13:46:02 +0000

Your bug report

#41634: 'timeout' returning 124 and 133

which was filed against the coreutils package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
41634: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=41634
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#41634: 'timeout' returning 124 and 133
From: Bernhard Voelker <[email-masked]>
To: Pádraig Brady <[email-masked]>
Cc: [email-masked]
Date: Sun, 7 Jun 2020 15:45:27 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

On 2020-06-07 15:34, Pádraig Brady wrote:
> [...] it is better to add the comma there [...]

thanks, pushed with that change:
https://git.savannah.gnu.org/cgit/coreutils.git/commit/?id=189776ff3b

Marking this as done.

Have a nice day,
Berny

Subject: 'timeout' returning 124 and 133
From: Jonny Grant <[email-masked]>
To: [email-masked]
Date: Sun, 31 May 2020 22:22:47 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello

I'm using timeout with another program that doesn't have a timeout mechanism. Saw surprisingly timeout often returns 124

I was a bit surprised the return code as a signal was not 143 (128+ 15) for SIGTERM. I must be missing something.

This article says 124 for SIGTERM, and as expected 137 for SIGKILL (128+9)
https://www.howtogeek.com/423286/how-to-use-the-timeout-command-on-linux/

The man page says "Start COMMAND, and kill it if still running after DURATION.", it sounds like it's doing 'kill -s
SIGTERM' after DURATION. Then if -k argument it is doing 'kill -s SIGKILL'

Could the 124 and 137 be documented on the man page?

Regards, Jonny